package com.ym.mec.biz.dal.entity;

import com.ym.mec.biz.dal.enums.TeacherSalaryComplaintsStatusEnum;

import java.util.Date;

public class TeacherSalaryComplaints {

    private Long id;

    private Integer teacherId;

    private String salarySettlementMonth;

    private String reason;

    private TeacherSalaryComplaintsStatusEnum statusEnum;

    private Integer operatorId;

    private String handingSuggestion;

    private String organName;

    private String realName;

    private String operatorRealName;

    private Date createTime;

    private Date updateTime;

    public String getOrganName() {
        return organName;
    }

    public void setOrganName(String organName) {
        this.organName = organName;
    }

    public String getRealName() {
        return realName;
    }

    public void setRealName(String realName) {
        this.realName = realName;
    }

    public String getOperatorRealName() {
        return operatorRealName;
    }

    public void setOperatorRealName(String operatorRealName) {
        this.operatorRealName = operatorRealName;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Integer getTeacherId() {
        return teacherId;
    }

    public void setTeacherId(Integer teacherId) {
        this.teacherId = teacherId;
    }

    public String getSalarySettlementMonth() {
        return salarySettlementMonth;
    }

    public void setSalarySettlementMonth(String salarySettlementMonth) {
        this.salarySettlementMonth = salarySettlementMonth;
    }

    public String getReason() {
        return reason;
    }

    public void setReason(String reason) {
        this.reason = reason;
    }

    public TeacherSalaryComplaintsStatusEnum getStatusEnum() {
        return statusEnum;
    }

    public void setStatusEnum(TeacherSalaryComplaintsStatusEnum statusEnum) {
        this.statusEnum = statusEnum;
    }

    public Integer getOperatorId() {
        return operatorId;
    }

    public void setOperatorId(Integer operatorId) {
        this.operatorId = operatorId;
    }

    public String getHandingSuggestion() {
        return handingSuggestion;
    }

    public void setHandingSuggestion(String handingSuggestion) {
        this.handingSuggestion = handingSuggestion;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
}
